<template>
  <div class="product-details" v-if="product">
    <img :src="product.image" alt="product image" />
    <h1>{{ product.title }}</h1>
    <p>{{ product.description }}</p>
    <p>\${{ product.price }}</p>
    <button @click="addToCart(product)">Add to Cart</button>
  </div>
</template>

<script>
import axios from 'axios';
import { mapActions } from 'vuex';

export default {
  name: 'ProductDetails',
  data() {
    return {
      product: null,
    };
  },
  methods: {
    ...mapActions(['addToCart']),
    async fetchProduct() {
      const productId = this.$route.params.id;
      try {
        const response = await axios.get(`https://fakestoreapi.com/products/${productId}`);
        this.product = response.data;
      } catch (error) {
        console.error('Error fetching product:', error);
      }
    }
  },
  created() {
    this.fetchProduct();
  }
};
</script>

<style scoped>
.product-details {
  padding: 20px;
}
.product-details img {
  width: 300px;
  height: auto;
}
</style>
